import * as React from "react";
import { NavUserAccountProps as NavUserAccountBaseProps, NavAuthenticationProps } from "./NavBarTypes";
export interface NavUserAccountProps extends NavUserAccountBaseProps, NavAuthenticationProps {
    isUserDrawerOpen: boolean;
    toggleDrawer(): void;
    onLoginPressed(): void;
    onSignupPressed(): void;
    onModalDefocussed(): void;
}
declare const UserAccount: React.FunctionComponent<NavUserAccountProps>;
export default UserAccount;
